RTL_TS_SOURCES:=                                \
    $(wildcard RTL/*ts)

RTL_ENTITIES_TS_SOURCES:=                    \
    $(wildcard RTL/Entities/*ts)

RTL_CONTROLLERS_TS_SOURCES:=                    \
    $(wildcard RTL/Controllers/*ts)

TS_SOURCES:=                                    \
    Niva/EntitiesBase/AgencyBase.ts   \
    Niva/Entities/Agency.ts   \
    Niva/EntitiesBase/AgrisnapUsersBase.ts   \
    Niva/Entities/AgrisnapUsers.ts   \
    Niva/EntitiesBase/AgrisnapUsersProducersBase.ts   \
    Niva/Entities/AgrisnapUsersProducers.ts   \
    Niva/EntitiesBase/ClassificationBase.ts   \
    Niva/Entities/Classification.ts   \
    Niva/EntitiesBase/ClassifierBase.ts   \
    Niva/Entities/Classifier.ts   \
    Niva/EntitiesBase/CoverTypeBase.ts   \
    Niva/Entities/CoverType.ts   \
    Niva/EntitiesBase/CultivationBase.ts   \
    Niva/Entities/Cultivation.ts   \
    Niva/EntitiesBase/DbmanagementlogBase.ts   \
    Niva/Entities/Dbmanagementlog.ts   \
    Niva/EntitiesBase/DecisionMakingBase.ts   \
    Niva/Entities/DecisionMaking.ts   \
    Niva/EntitiesBase/DocumentBase.ts   \
    Niva/Entities/Document.ts   \
    Niva/EntitiesBase/EcCultBase.ts   \
    Niva/Entities/EcCult.ts   \
    Niva/EntitiesBase/EcCultCopyBase.ts   \
    Niva/Entities/EcCultCopy.ts   \
    Niva/EntitiesBase/EcCultDetailBase.ts   \
    Niva/Entities/EcCultDetail.ts   \
    Niva/EntitiesBase/EcCultDetailCopyBase.ts   \
    Niva/Entities/EcCultDetailCopy.ts   \
    Niva/EntitiesBase/EcGroupBase.ts   \
    Niva/Entities/EcGroup.ts   \
    Niva/EntitiesBase/EcGroupCopyBase.ts   \
    Niva/Entities/EcGroupCopy.ts   \
    Niva/EntitiesBase/ExcelErrorBase.ts   \
    Niva/Entities/ExcelError.ts   \
    Niva/EntitiesBase/ExcelFileBase.ts   \
    Niva/Entities/ExcelFile.ts   \
    Niva/EntitiesBase/FileDirPathBase.ts   \
    Niva/Entities/FileDirPath.ts   \
    Niva/EntitiesBase/FileTemplateBase.ts   \
    Niva/Entities/FileTemplate.ts   \
    Niva/EntitiesBase/FmisDecisionBase.ts   \
    Niva/Entities/FmisDecision.ts   \
    Niva/EntitiesBase/FmisUploadBase.ts   \
    Niva/Entities/FmisUpload.ts   \
    Niva/EntitiesBase/FmisUserBase.ts   \
    Niva/Entities/FmisUser.ts   \
    Niva/EntitiesBase/GpDecisionBase.ts   \
    Niva/Entities/GpDecision.ts   \
    Niva/EntitiesBase/GpRequestsBase.ts   \
    Niva/Entities/GpRequests.ts   \
    Niva/EntitiesBase/GpRequestsContextsBase.ts   \
    Niva/Entities/GpRequestsContexts.ts   \
    Niva/EntitiesBase/GpRequestsProducersBase.ts   \
    Niva/Entities/GpRequestsProducers.ts   \
    Niva/EntitiesBase/GpUploadBase.ts   \
    Niva/Entities/GpUpload.ts   \
    Niva/EntitiesBase/IntegrateddecisionBase.ts   \
    Niva/Entities/Integrateddecision.ts   \
    Niva/EntitiesBase/ParcelClasBase.ts   \
    Niva/Entities/ParcelClas.ts   \
    Niva/EntitiesBase/ParcelDecisionBase.ts   \
    Niva/Entities/ParcelDecision.ts   \
    Niva/EntitiesBase/ParcelsIssuesBase.ts   \
    Niva/Entities/ParcelsIssues.ts   \
    Niva/EntitiesBase/ParcelsIssuesActivitiesBase.ts   \
    Niva/Entities/ParcelsIssuesActivities.ts   \
    Niva/EntitiesBase/ParcelsIssuesStatusPerDemaBase.ts   \
    Niva/Entities/ParcelsIssuesStatusPerDema.ts   \
    Niva/EntitiesBase/PredefColBase.ts   \
    Niva/Entities/PredefCol.ts   \
    Niva/EntitiesBase/ProducersBase.ts   \
    Niva/Entities/Producers.ts   \
    Niva/EntitiesBase/StatisticBase.ts   \
    Niva/Entities/Statistic.ts   \
    Niva/EntitiesBase/SuperClasBase.ts   \
    Niva/Entities/SuperClas.ts   \
    Niva/EntitiesBase/SuperClassDetailBase.ts   \
    Niva/Entities/SuperClassDetail.ts   \
    Niva/EntitiesBase/SystemconfigurationBase.ts   \
    Niva/Entities/Systemconfiguration.ts   \
    Niva/EntitiesBase/TemplateColumnBase.ts   \
    Niva/Entities/TemplateColumn.ts   \
    Niva/EntitiesBase/TmpBlobBase.ts   \
    Niva/Entities/TmpBlob.ts  \
    $(wildcard Niva/ServicesBase/*ts)    \
    $(wildcard Niva/Services/*ts)        \
    $(wildcard Niva/ControllersBase/*ts) \
    $(wildcard Niva/Controllers/*ts)     \
    Niva/messages.ts                      \
    Niva/globalsBase.ts                   \
    Niva/globals.ts

